Subject: bug#9790: Cleaning up nobreak-char-display

From: Drew Adams <[email-masked]>
Date: Tue, 8 Dec 2020 08:23:08 -0800 (PST)

Various posts in this thread essentially propose different blanket approaches, i.e., paint something with a broad brush.  Some want such brushwork in some contexts; others don't.

What's needed, I think, are (1) a fine-grained mechanism to control which chars get highlighted and how and where/when, (2) default applications of that mechanism to specific contexts, and (3) user ability to control things.

No broad brushwork will be satisfactory, I think.  I think some form of #1 is the starting point - without that, I don't see a good solution.

I mentioned my library `highlight-chars.el', which provides support for #1: ways to highlight any set of chars, and control where/when/whether that's done.  Maybe take a look at what it offers, as food for thought or even perhaps reuse?

https://www.emacswiki.org/emacs/download/highlight-chars.el